## RygelPlaybinPlayer

RygelPlaybinPlayer — Implementation of RygelMediaPlayer for GStreamer.

## Functions

#define | RYGEL_PLAYBIN_TYPE_PLAYER
RygelPlaybinPlayer * | rygel_playbin_player_new_wrap ()
GstElement * | rygel_playbin_player_get_playbin ()
GList * | rygel_playbin_player_get_supported_profiles ()
RygelPlaybinPlayer * | rygel_playbin_player_get_default ()

## Properties

GStrv | allowed-playback-speeds | Read
gint64 | byte-position | Read
gboolean | can-seek | Read
gboolean | can-seek-bytes | Read
gchar * | content-features | Read / Write
gint64 | duration | Read
gchar * | metadata | Read / Write
gchar * | mime-type | Read / Write
gchar * | playback-speed | Read / Write
gchar * | playback-state | Read / Write
GstElement * | playbin | Read
gint64 | position | Read
gint64 | size | Read
gpointer | supported-profiles | Read
gchar * | uri | Read / Write
gdouble | volume | Read / Write

## Types and Values

struct | RygelPlaybinPlayer
struct | RygelPlaybinPlayerClass

## Object Hierarchy

        GObject
        ╰── RygelPlaybinPlayer

## Implemented Interfaces

RygelPlaybinPlayer implements RygelMediaPlayer.

## Description

This class is useful only when implementing Rygel plugins.

## Functions

### RYGEL_PLAYBIN_TYPE_PLAYER

    #define RYGEL_PLAYBIN_TYPE_PLAYER (rygel_playbin_player_get_type ())

The type for RygelPlaybinPlayer.

### rygel_playbin_player_new_wrap ()

    RygelPlaybinPlayer *
    rygel_playbin_player_new_wrap (GstElement *playbin);

`rygel_playbin_player_new_wrap` has been deprecated since version 0.21.5 and should not be used in newly-written code.

No replacement specified.

#### Parameters

playbin |  |

### rygel_playbin_player_get_playbin ()

    GstElement *
    rygel_playbin_player_get_playbin (RygelPlaybinPlayer *self);

Get and return the current value of the "playbin" property.

#### Parameters

self | the RygelPlaybinPlayer instance to query |

#### Returns

the value of the "playbin" property

### rygel_playbin_player_get_supported_profiles ()

    GList *
    rygel_playbin_player_get_supported_profiles
                                   (RygelPlaybinPlayer *self);

Get and return the current value of the "supported-profiles" property.

#### Parameters

self | the RygelPlaybinPlayer instance to query |

#### Returns

the value of the "supported-profiles" property

### rygel_playbin_player_get_default ()

    RygelPlaybinPlayer *
    rygel_playbin_player_get_default (void);

## Types and Values

### struct RygelPlaybinPlayer

    struct RygelPlaybinPlayer;

Implementation of RygelMediaPlayer for GStreamer.

This class is useful only when implementing Rygel plugins.

### struct RygelPlaybinPlayerClass

    struct RygelPlaybinPlayerClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_PLAYBIN_TYPE_PLAYER`. All the fields in this structure are private and should never be accessed directly.

#### Members

GObjectClass `parent_class`; | the parent class structure |

## Property Details

### The `“allowed-playback-speeds”` property

      “allowed-playback-speeds”  GStrv

allowed-playback-speeds.

Flags: Read

### The `“byte-position”` property

      “byte-position”            gint64

byte-position.

Flags: Read

Default value: 0

### The `“can-seek”` property

      “can-seek”                 gboolean

can-seek.

Flags: Read

Default value: FALSE

### The `“can-seek-bytes”` property

      “can-seek-bytes”           gboolean

can-seek-bytes.

Flags: Read

Default value: FALSE

### The `“content-features”` property

      “content-features”         gchar *

content-features.

Flags: Read / Write

Default value: NULL

### The `“duration”` property

      “duration”                 gint64

duration.

Flags: Read

Default value: 0

### The `“metadata”` property

      “metadata”                 gchar *

metadata.

Flags: Read / Write

Default value: NULL

### The `“mime-type”` property

      “mime-type”                gchar *

mime-type.

Flags: Read / Write

Default value: NULL

### The `“playback-speed”` property

      “playback-speed”           gchar *

playback-speed.

Flags: Read / Write

Default value: NULL

### The `“playback-state”` property

      “playback-state”           gchar *

playback-state.

Flags: Read / Write

Default value: NULL

### The `“playbin”` property

      “playbin”                  GstElement *

playbin.

Flags: Read

### The `“position”` property

      “position”                 gint64

position.

Flags: Read

Default value: 0

### The `“size”` property

      “size”                     gint64

size.

Flags: Read

Default value: 0

### The `“supported-profiles”` property

      “supported-profiles”       gpointer

supported-profiles.

Flags: Read

### The `“uri”` property

      “uri”                      gchar *

uri.

Flags: Read / Write

Default value: NULL

### The `“volume”` property

      “volume”                   gdouble

volume.

Flags: Read / Write

Default value: 0